[arch-commits] CVS update of arch/build/base/binutils (2 files)

Jan de Groot jgc at archlinux.org
Sun Jun 24 17:36:22 UTC 2007


    Date: Sunday, June 24, 2007 @ 13:36:22
  Author: jgc
    Path: /home/cvs-arch/arch/build/base/binutils

   Added: binutils-2.17.50.0.16-version.patch (1.1)
Modified: PKGBUILD (1.34 -> 1.35)

upgpkg: binutils 2.17.50.0.17-2
Fix soname versioning, remove symlinks to dynamic libraries, programs should use the static libs


-------------------------------------+
 PKGBUILD                            |   15 ++++++++++----
 binutils-2.17.50.0.16-version.patch |   36 ++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+), 4 deletions(-)


Index: arch/build/base/binutils/PKGBUILD
diff -u arch/build/base/binutils/PKGBUILD:1.34 arch/build/base/binutils/PKGBUILD:1.35
--- arch/build/base/binutils/PKGBUILD:1.34	Sun Jun 24 07:21:14 2007
+++ arch/build/base/binutils/PKGBUILD	Sun Jun 24 13:36:22 2007
@@ -1,11 +1,11 @@
-# $Id: PKGBUILD,v 1.34 2007/06/24 11:21:14 andyrtr Exp $
+# $Id: PKGBUILD,v 1.35 2007/06/24 17:36:22 jgc Exp $
 # Maintainer: judd <jvinet at zeroflux.org>
 
 # compile always twice: first binutils, then gcc, then binutils again
 
 pkgname=binutils
 pkgver=2.17.50.0.17
-pkgrel=1
+pkgrel=2
 pkgdesc="A set of programs to assemble and manipulate binary and object files"
 arch=(i686 x86_64)
 license=(GPL)
@@ -13,11 +13,14 @@
 url="http://sources.redhat.com/binutils"
 depends=('glibc>=2.6')
 makedepends=('texinfo>=4.8a')
-source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('f1852ef43d7539480c77f813224ef81c')
+source=(ftp://ftp.kernel.org/pub/linux/devel/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+	binutils-2.17.50.0.16-version.patch)
+md5sums=('f1852ef43d7539480c77f813224ef81c' '31756e7da3299fb2b254d9837bd715ca')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np0 -i ${startdir}/src/binutils-2.17.50.0.16-version.patch || return 1
+
 
   mkdir build
   cd build
@@ -44,4 +47,8 @@
   fi
 
   rm -f ${startdir}/pkg/usr/man/man1/{dlltool,nlmconv,windres}*
+
+  # Remove these symlinks, with binutils prereleases they are not ABI stable.
+  # Programs should compile static to the .a file.
+  rm -f ${startdir}/pkg/usr/lib/lib{bfd,opcodes}.so
 }
Index: arch/build/base/binutils/binutils-2.17.50.0.16-version.patch
diff -u /dev/null arch/build/base/binutils/binutils-2.17.50.0.16-version.patch:1.1
--- /dev/null	Sun Jun 24 13:36:22 2007
+++ arch/build/base/binutils/binutils-2.17.50.0.16-version.patch	Sun Jun 24 13:36:22 2007
@@ -0,0 +1,36 @@
+--- bfd/Makefile.in.jj	2007-05-11 17:23:18.000000000 +0200
++++ bfd/Makefile.in	2007-06-12 12:28:10.000000000 +0200
+@@ -1540,12 +1540,12 @@ bfdver.h: $(srcdir)/version.h $(srcdir)/
+ 	report_bugs_to="\"$(REPORT_BUGS_TO)\"" ;\
+ 	if test "x$(RELEASE)" = x ; then \
+ 	  bfd_version_date=`sed -n -e 's/.*DATE //p' < $(srcdir)/version.h` ;\
+-	  bfd_version_string="\"$(VERSION).$${bfd_version_date}\"" ;\
+-	  bfd_soversion="$(VERSION).$${bfd_version_date}" ;\
++	  bfd_version_string="\"$(VERSION) $${bfd_version_date}\"" ;\
++	  bfd_soversion="$(VERSION)" ;\
+ 	fi ;\
+ 	sed -e "s, at bfd_version@,$$bfd_version," \
+ 	    -e "s, at bfd_version_string@,$$bfd_version_string," \
+-	    -e "s, at bfd_version_package@,$$bfd_version_package," \
++	    -e "s, at bfd_version_package@,\"version \"," \
+ 	    -e "s, at report_bugs_to@,$$report_bugs_to," \
+ 	    < $(srcdir)/version.h > $@; \
+ 	echo "$${bfd_soversion}" > libtool-soversion
+--- bfd/Makefile.am.jj	2007-05-11 17:23:18.000000000 +0200
++++ bfd/Makefile.am	2007-06-12 12:28:10.000000000 +0200
+@@ -973,12 +973,12 @@ bfdver.h: $(srcdir)/version.h $(srcdir)/
+ 	report_bugs_to="\"$(REPORT_BUGS_TO)\"" ;\
+ 	if test "x$(RELEASE)" = x ; then \
+ 	  bfd_version_date=`sed -n -e 's/.*DATE //p' < $(srcdir)/version.h` ;\
+-	  bfd_version_string="\"$(VERSION).$${bfd_version_date}\"" ;\
+-	  bfd_soversion="$(VERSION).$${bfd_version_date}" ;\
++	  bfd_version_string="\"$(VERSION) $${bfd_version_date}\"" ;\
++	  bfd_soversion="$(VERSION)" ;\
+ 	fi ;\
+ 	sed -e "s, at bfd_version@,$$bfd_version," \
+ 	    -e "s, at bfd_version_string@,$$bfd_version_string," \
+-	    -e "s, at bfd_version_package@,$$bfd_version_package," \
++	    -e "s, at bfd_version_package@,\"version \"," \
+ 	    -e "s, at report_bugs_to@,$$report_bugs_to," \
+ 	    < $(srcdir)/version.h > $@; \
+ 	echo "$${bfd_soversion}" > libtool-soversion




More information about the arch-commits mailing list